using Lion.AbpPro.DataDictionaryManagement;

namespace BBM.ChatGLM
{
    [DependsOn(
        typeof(ChatGLMDomainModule),
        typeof(ChatGLMApplicationContractsModule),
        typeof(BasicManagementApplicationModule),
        typeof(NotificationManagementApplicationModule),
        typeof(DataDictionaryManagementApplicationModule),
        typeof(ChatGLMFreeSqlModule)
        )]
    public class ChatGLMApplicationModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            Configure<AbpAutoMapperOptions>(options =>
            {
                options.AddMaps<ChatGLMApplicationModule>();
            });
            
        }
    }
}
